Change link options
curl --request POST \
--url https://api.dataspike.io/api/v3/profiles/link/{link_id} \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"expiration_in_minutes": 240
}
'import requests
url = "https://api.dataspike.io/api/v3/profiles/link/{link_id}"
payload = { "expiration_in_minutes": 240 }
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expiration_in_minutes: 240})
};
fetch('https://api.dataspike.io/api/v3/profiles/link/{link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link_id": "LI2V0BVmLfGFQZbZQ3B7CeH3"
}Verification links
Change link options
Change link options.
POST
/
api
/
v3
/
profiles
/
link
/
{link_id}
Change link options
Authorizations
Path Parameters
Existing link id
Example:
"LFHN68QOYQ9GUGH6U"
Body
application/json
Verification Link payload
Verification created with this link will have this expiration.
Example:
240
This settings has migrated to VerificationProfileSettings
Show child attributes
Show child attributes
This settings has migrated to VerificationProfileSettings
Show child attributes
Show child attributes
Response
Link successfully updated
Link id properties
Unique id of link. Participated in public url.
Example:
"LI2V0BVmLfGFQZbZQ3B7CeH3"
⌘I